<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package magpoint
 */

?>
</div><!-- #content -->

<?php 
$show_copyright = get_theme_mod('magpoint_footer_copyright_display',true);
$magpoint_copyright = get_theme_mod('magpoint_copyright','Powered by WordPress'); 
?>
<footer class="footer-section">
        <?php if ( is_active_sidebar( 'footer-widgets' ) ) { ?>
            <div class="container">
                <div class="footer-top">
                    <div class="row clearfix">
                        <?php dynamic_sidebar('footer-widgets'); ?>
                        
                    </div>
                </div>
            </div>
        <?php } ?>
        <?php if($show_copyright) { ?>
            <div class="copyright-footer">
                <div class="container">
                    <div class="row justify-content-center">

                        <p class="footer-copyright">&copy;
                            <?php
                            echo date_i18n(
                                /* translators: Copyright date format, see https://www.php.net/manual/datetime.format.php */
                                _x( 'Y', 'copyright date format', 'magpoint' )
                            );
                            ?>
                            <a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php bloginfo( 'name' ); ?></a>
                        </p><!-- .footer-copyright -->

                        <p class="copyright-text">
                            <a href="<?php echo esc_url( __( 'https://wordpress.org/', 'magpoint' ) ); ?>">
                                <?php echo esc_html($magpoint_copyright); ?>
                            </a>
                        </p><!-- .copyright-text -->

                    </div>
                </div>
            </div><!-- .footer-credits -->
        <?php } ?>
    </footer>

    </div><!-- #page -->

    <button onclick="magpointTopFunction()" id="goToTopBtn" title="Go to top">
        <i class="fa fa-angle-up"></i>
    </button> 
	
<?php  wp_footer(); ?>

</body>
</html>